<?php

namespace GriffinForms\Admin\Html\Modals;

// Deprecated
class selectFieldType extends \GriffinForms\Admin\Html\Modals\Format
{   
    protected function headerText()
    {
        $text = $this->lang->getText('select_field_type');
        return $text;
    }
    
    protected function modalContent()
    {
        echo '<div class="list-group mb-3">';
        foreach ($this->config->getFieldTypes() as $field_type) {
            $url = get_admin_url() . 'admin.php?page=griffinforms-field&field-type=' . $field_type . '&return=1';
            echo '<a href="' . esc_url($url) . '" class="list-group-item list-group-item-action">';
            echo esc_html($this->lang->getText($field_type, 'field_Type'));
            echo '</a>';
        }
        echo '</div>';
    }
    
    protected function modalFooter()
    {   
    }
}